Upstream information

CVE-2009-1364 at MITRE

Description

Use-after-free vulnerability in the embedded GD library in libwmf 0.2.8.4 allows context-dependent attackers to cause a denial of service (application crash) or possibly execute arbitrary code via a crafted WMF file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 495842 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Build System Kit 12
  • libwmf >= 0.2.8.4-242.3
  • libwmf-tools >= 0.2.8.4-242.3
Patchnames:
SUSE-SLE-BSK-12-2015-481
SUSE Linux Enterprise Desktop 12
  • libwmf >= 0.2.8.4-242.3
  • libwmf-0_2-7 >= 0.2.8.4-242.3
Patchnames:
SUSE-SLE-DESKTOP-12-2015-481
SUSE Linux Enterprise Software Development Kit 12
  • libwmf >= 0.2.8.4-242.3
  • libwmf-0_2-7 >= 0.2.8.4-242.3
  • libwmf-devel >= 0.2.8.4-242.3
  • libwmf-gnome >= 0.2.8.4-242.3
Patchnames:
SUSE-SLE-SDK-12-2015-481
SUSE Linux Enterprise Workstation Extension 12
  • libwmf >= 0.2.8.4-242.3
  • libwmf-0_2-7 >= 0.2.8.4-242.3
Patchnames:
SUSE-SLE-WE-12-2015-481
openSUSE 11.0
  • libwmf-debuginfo >= 0.2.8.4-164.2
  • libwmf-debugsource >= 0.2.8.4-164.2
openSUSE 11.0
  • libwmf >= 0.2.8.4-164.2
  • libwmf-devel >= 0.2.8.4-164.2
  • libwmf-gnome >= 0.2.8.4-164.2
openSUSE 11.1
  • libwmf-debuginfo >= 0.2.8.4-206.24.3
  • libwmf-debuginfo >= 0.2.8.4-206.24.4
  • libwmf-debuginfo-32bit >= 0.2.8.4-206.24.4
  • libwmf-debuginfo-64bit >= 0.2.8.4-206.24.3
  • libwmf-debugsource >= 0.2.8.4-206.24.3
  • libwmf-debugsource >= 0.2.8.4-206.24.4
openSUSE 11.1
  • libwmf >= 0.2.8.4-206.24.3
  • libwmf >= 0.2.8.4-206.24.4
  • libwmf-32bit >= 0.2.8.4-206.24.4
  • libwmf-64bit >= 0.2.8.4-206.24.3
  • libwmf-devel >= 0.2.8.4-206.24.3
  • libwmf-devel >= 0.2.8.4-206.24.4
  • libwmf-gnome >= 0.2.8.4-206.24.3
  • libwmf-gnome >= 0.2.8.4-206.24.4
  • libwmf-gnome-32bit >= 0.2.8.4-206.24.4
  • libwmf-gnome-64bit >= 0.2.8.4-206.24.3
Novell Linux Desktop 9 for x86
Novell Linux Desktop 9 for x86_64
  • libwmf >= 0.2.8.2-88.7
Builds
YOU Patch Nr: 12409
SLES SDK 9 for IBM S/390 and IBM zSeries
SLES SDK 9 for IBM iSeries and IBM pSeries
SLES SDK 9 for IBM zSeries
SLES SDK 9 for IPF
SLES SDK 9 for X86-64
SLES SDK 9 for x86
  • libwmf >= 0.2.8.2-88.7
  • libwmf-devel >= 0.2.8.2-88.7
Builds
YOU Patch Nr: 12409
SUSE Linux Enterprise SDK 11 GA
  • libwmf >= 0.2.8.4-206.27.4
  • libwmf-devel >= 0.2.8.4-206.27.4
  • libwmf-gnome >= 0.2.8.4-206.27.4
SAT Patch Nr: 822
SUSE Linux Enterprise SDK 11 GA
  • libwmf >= 0.2.8.4-206.27.4
  • libwmf-devel >= 0.2.8.4-206.27.4
  • libwmf-gnome >= 0.2.8.4-206.27.4
  • libwmf-gnome-x86 >= 0.2.8.4-206.27.4
  • libwmf-x86 >= 0.2.8.4-206.27.4
SAT Patch Nr: 822
SUSE Linux Enterprise SDK 11 GA
  • libwmf >= 0.2.8.4-206.27.4
  • libwmf-32bit >= 0.2.8.4-206.27.4
  • libwmf-devel >= 0.2.8.4-206.27.4
  • libwmf-gnome >= 0.2.8.4-206.27.4
  • libwmf-gnome-32bit >= 0.2.8.4-206.27.4
SAT Patch Nr: 822
SUSE Linux Enterprise Desktop 11 GA
  • libwmf >= 0.2.8.4-206.27.4
SAT Patch Nr: 822
SUSE Linux Enterprise SDK 10 SP2
  • libwmf >= 0.2.8.2-110.10
  • libwmf-devel >= 0.2.8.2-110.10
ZYPP Patch Nr: 6213
openSUSE 13.1
  • libwmf >= 0.2.8.4-234.4.1
  • libwmf-0_2-7 >= 0.2.8.4-234.4.1
  • libwmf-0_2-7-32bit >= 0.2.8.4-234.4.1
  • libwmf-0_2-7-debuginfo >= 0.2.8.4-234.4.1
  • libwmf-0_2-7-debuginfo-32bit >= 0.2.8.4-234.4.1
  • libwmf-debugsource >= 0.2.8.4-234.4.1
  • libwmf-devel >= 0.2.8.4-234.4.1
  • libwmf-gnome >= 0.2.8.4-234.4.1
  • libwmf-gnome-32bit >= 0.2.8.4-234.4.1
  • libwmf-gnome-debuginfo >= 0.2.8.4-234.4.1
  • libwmf-gnome-debuginfo-32bit >= 0.2.8.4-234.4.1
  • libwmf-tools >= 0.2.8.4-234.4.1
  • libwmf-tools-debuginfo >= 0.2.8.4-234.4.1
Patchnames:
openSUSE-2015-443


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 libwmf Released
SUSE Linux Enterprise Desktop 11 SP1 libwmf Released
SUSE Linux Enterprise Desktop 11 SP2 libwmf Released
SUSE Linux Enterprise Desktop 11 SP3 libwmf Released
SUSE Linux Enterprise Desktop 11 SP4 libwmf Released
SUSE Linux Enterprise Desktop 12 libwmf Released
SUSE Linux Enterprise Software Bootstrap Kit 12 libwmf Released
SUSE Linux Enterprise Software Development Kit 11 libwmf Released
SUSE Linux Enterprise Software Development Kit 11 SP1 libwmf Released
SUSE Linux Enterprise Software Development Kit 11 SP2 libwmf Released
SUSE Linux Enterprise Software Development Kit 11 SP3 libwmf Released
SUSE Linux Enterprise Software Development Kit 11 SP4 libwmf Released
SUSE Linux Enterprise Software Development Kit 12 libwmf Released
SUSE Linux Enterprise Workstation Extension 12 libwmf Released
SUSE Studio Onsite libwmf Released